using e_suite.Modules.BlockedIPsManager.Extensions;
using e_suite.Modules.BlockedIPsManager.UnitTests.Helpers;
using NUnit.Framework;

namespace e_suite.Modules.BlockedIPsManager.UnitTests;

public class ExtensionsUnitTests : BlockedIPsManagerTestBase
{
    [SetUp]
    public override async Task Setup()
    {
        await base.Setup();
    }

    [Test]
    public void DoubleExtensionMethod_WhenCalled_ReturnsExpectedResult()
    {
        //Arrange
        double pi = 3.14159;

        //Act
        var result = pi.ToInteger();

        //Assert
        Assert.That(result, Is.Positive);
        Assert.That(result, Is.EqualTo(3));
        Assert.Pass();
    }
}
